<?php

namespace DuD\MatheAuswertungBundle\Controller;

use Contao\CoreBundle\Controller\AbstractBackendController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Doctrine\DBAL\Connection;

class AuswertungController extends AbstractBackendController
{
    private $connection;

    public function __construct(Connection $connection)
    {
        $this->connection = $connection;
    }

    /**
     * @Route("/contao/auswertung/{group}", name="auswertung_group", requirements={"group"="I|II|III"})
     */
    public function index(string $group): Response
    {
        // FE-Benutzer abfragen, die der Gruppe zugeordnet sind
        $users = $this->connection->fetchAllAssociative(
            'SELECT u.id AS userid, COUNT(m.loesung) AS loesungen, SUM(m.punkte) AS punkte
             FROM tl_member u
             JOIN tl_math m ON u.id = m.userid
             WHERE u.group = ?
             GROUP BY u.id
             ORDER BY punkte DESC',
            [$group]
        );

        // Backend-Template rendern und die Benutzer anzeigen
		return $this->render('@DuDMatheAuswertungBundle/backend/auswertung.html.twig', [
			'users' => $users,
			'group' => $group,
		]);
    }
}
