<?php

namespace DuD\MatheAuswertungBundle\Controller;

use Contao\CoreBundle\Controller\AbstractBackendController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Doctrine\DBAL\Connection;

class SiegerController extends AbstractBackendController
{
    private $connection;

    public function __construct(Connection $connection)
    {
        $this->connection = $connection;
    }

    /**
     * @Route("/contao/sieger", name="sieger_auswertung")
     */
    public function index(): Response
    {
        // Abfrage der Top 3 Sieger aus der Tabelle "tl_math"
        $query = '
            SELECT userid, SUM(punkte) as total_points 
            FROM tl_math 
            WHERE loesung = 1 
            GROUP BY userid 
            ORDER BY total_points DESC
            LIMIT 3
        ';

        $stmt = $this->connection->executeQuery($query);
        $sieger = $stmt->fetchAllAssociative();

        // Rendere das Backend-Template und gebe die Siegerdaten weiter
        return $this->render('@DuDMatheAuswertungBundle/backend/sieger.html.twig', [
            'sieger' => $sieger,
        ]);
    }
}
